%define uname SysUsage
%define vname Sar
%define wname sysusage
%define webdir %{_localstatedir}/www/%{wname}

Name: %{wname}
Epoch: 0
Version: 2.10
Release: 10%{?dist}
Summary: System monitoring based on perl, rrdtool, and sysstat

Group: System Environment/Daemons
License: GPL+ or Artistic
URL: http://sysusage.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{uname}-%{vname}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: rrdtool
Requires: sysstat
Requires: httpd
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: vixie-cron

%description
%{uname} is a system monitoring and alarm reporting tool. 
It can generate historical graph views of CPU, memory, IO,
network and disk usage, and very much more.

%prep
%setup -q -n %{uname}-%{vname}-%{version}

# create default crontab entry
%{__cat} > %{wname}.cron << _EOF1_
#* * * * *    root    %{_bindir}/%{wname}      >/dev/null 2>&1
#*/5 * * * *    root    %{_bindir}/%{wname}graph >/dev/null 2>&1
_EOF1_

# create default httpd configuration
%{__cat} > %{wname}.conf << _EOF2_
#
# By default %{wname} statistics are only accessible from the local host.
# 
#Alias /%{wname} %{webdir}

#<Directory %{webdir}>
    #Order deny,allow
    #Deny from all
    #Allow from 127.0.0.1
    #Allow from ::1
    ## Allow from .example.com
#</Directory>
_EOF2_

# create README.RPM
%{__cat} > README.RPM << _EOF3_
1. Setup a cronjob to run %{wname}.  Uncomment the entries in
   %{_sysconfdir}/cron.d/%{wname} or create a custom cronjob.

2. Uncomment the entries in %{_sysconfdir}/httpd/conf.d/%{wname}.conf.

3. Ensure that httpd is running.

4. Browse to http://localhost/%{wname} to ensure that things are working
   properly.

5. If necessary, give additional hosts access to %{wname} by adding them to
   %{_sysconfdir}/httpd/conf.d/%{wname}.conf.

_EOF3_

# remove the hardcoded /usr/local/sysusage path
%{__sed} -i -e 's,/usr/local/sysusage,,g' bin/%{wname}
%{__sed} -i -e 's,/usr/local/sysusage,,g' bin/%{wname}graph

# hopefully this one will get fixed in the next release
%{__sed} -i -e 's,bin/hostname,/bin/hostname,g' %{wname}-%{version}.cfg

# this is needed because of the resolution to RH bug #465652
%{__sed} -i -e 's,/var/www/html/%{name},/var/www/%{wname},g' \
    %{wname}-%{version}.cfg

%build
# nope, gotta love perl

%install
%{__rm} -rf %{buildroot}
# set up path structure
%{__install} -d -m 0755 %{buildroot}/%{_bindir}
%{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}
%{__install} -d -m 0755 %{buildroot}/%{_localstatedir}/lib/%{wname}
%{__install} -d -m 0755 %{buildroot}/%{perl_vendorlib}/%{uname}
%{__install} -d -m 0755 %{buildroot}/%{webdir}
# install files
%{__install} -m 0644 %{name}-%{version}.cfg \
    %{buildroot}/%{_sysconfdir}/%{wname}.cfg
%{__install} -m 0644 %{vname}.pm %{buildroot}/%{perl_vendorlib}/%{uname}
%{__install} -m 0755 bin/%{wname} %{buildroot}/%{_bindir}
%{__install} -m 0755 bin/%{wname}graph %{buildroot}/%{_bindir}
%{__install} -m 0755 bin/%{wname}warn %{buildroot}/%{_bindir}
%{__install} -D -m 0644 %{wname}.cron \
    %{buildroot}/%{_sysconfdir}/cron.d/%{wname}
%{__install} -D -m 0644 %{wname}.conf \
    %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{wname}.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc Changes INSTALL README TODO README.RPM
%attr(0755,root,root) %{_bindir}/%{wname}
%attr(0755,root,root) %{_bindir}/%{wname}graph
%attr(0755,root,root) %{_bindir}/%{wname}warn
%config(noreplace) %{_sysconfdir}/%{wname}.cfg
%config(noreplace) %{_sysconfdir}/cron.d/%{wname}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{wname}.conf
%{perl_vendorlib}/%{uname}
%dir %{_localstatedir}/lib/%{wname}
%dir %{webdir}

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0:2.10-9
- Perl 5.16 rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0:2.10-7
- Perl mass rebuild

* Fri Jun 10 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0:2.10-6
- Perl 5.14 mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0:2.10-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.10-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun  2 2009 Rob Myers <rmyers@fedoraproject.org> 0:2.10-1
- include many fixes from Jason Corley (Thanks!)
- update to 2.10
- update url to reflect upstream change to sourcefourge
- add requirement on vixie-cron
- remove source1 in favor of now included in tarball config file
- change to installing apache config commented out
- change description to most recent website blurb
- change README.Fedora to README.RPM (for EPEL)
- fix cronjob

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 15 2008 Rob Myers <rob.myers@gtri.gatech.edu> 0:2.9-1
- update to 2.9
- move webdir /var/www/sysusage (resolves #465652)

* Wed Jul  2 2008 Rob Myers <rob.myers@gtri.gatech.edu> 0:2.6-4
- include missing versioned MODULE_COMPAT Requires (#453586)

* Thu Nov 15 2007 Rob Myers <rob.myers@gtri.gatech.edu> 0:2.6-3
- fix minor license issue
- add a default crontab entry
- add a default httpd configuration
- add README.Fedora

* Fri Nov  9 2007 Rob Myers <rob.myers@gtri.gatech.edu> 0:2.6-2
- seds really belong in prep

* Thu Nov  8 2007 Rob Myers <rob.myers@gtri.gatech.edu> 0:2.6-1
- move seds to build section
- remove perl requires
- update to 2.6

* Mon Jul 16 2007 Rob Myers <rob.myers@gtri.gatech.edu> 0:2.5-3
- define vname and wname in case this package should be renamed to
  perl-%%{uname}-%%{vname}

* Fri Jul 13 2007 Rob Myers <rob.myers@gtri.gatech.edu> 0:2.5-2
- change /var/db/sysusage to /var/lib/sysusage
- change perl_vendorarch to perl_vendorlib to build noarch
- update license
- add dist tag
- misc spec changes and/or cleanups

* Fri Jul  6 2007 Jason Corley <jason.corley@gmail.com> 0:2.5-1
- first packaging attempt

